Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisionFactory

-     public interface CDORevisionFactory

  Creates `revision` instances.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDORevisionFactory` | `DEFAULT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDORevision` | `createRevision​(org.eclipse.emf.ecore.EClass eClass)` |

- - ### Field Detail

    - #### DEFAULT

          static final CDORevisionFactory DEFAULT

      Since:
        3.0

  - ### Method Detail

    - #### createRevision

          CDORevision createRevision​(org.eclipse.emf.ecore.EClass eClass)

      Since:
        3.0